Package org.optaplanner.core.config.solver.random

## Enum RandomType

- java.lang.Object
- - java.lang.Enum<RandomType>
  - - org.optaplanner.core.config.solver.random.RandomType

- All Implemented Interfaces:
    `Serializable`, `Comparable<RandomType>`

      public enum RandomType
      extends Enum<RandomType>

  Defines the pseudo random number generator. See the PRNG documentation in commons-math.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `JDK` | This is the default.
    `MERSENNE_TWISTER` |
    `WELL1024A` |
    `WELL19937A` |
    `WELL19937C` |
    `WELL44497A` |
    `WELL44497B` |
    `WELL512A` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RandomType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static RandomType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JDK

          public static final RandomType JDK

      This is the default.

    - #### MERSENNE_TWISTER

          public static final RandomType MERSENNE_TWISTER

    - #### WELL512A

          public static final RandomType WELL512A

    - #### WELL1024A

          public static final RandomType WELL1024A

    - #### WELL19937A

          public static final RandomType WELL19937A

    - #### WELL19937C

          public static final RandomType WELL19937C

    - #### WELL44497A

          public static final RandomType WELL44497A

    - #### WELL44497B

          public static final RandomType WELL44497B

  - ### Method Detail

    - #### values

          public static RandomType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RandomType c : RandomType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RandomType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null